# git ls-remote git://github.com/g0orx/wdsp.git
%global git_commit c55342c5b15354a9ac2b8b16eb8748d5518f723c
%global git_date 20210705

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

Name:		wdsp
Version:	0
Release:	0.1.%{git_suffix}%{?dist}
Summary:	DSP library for LinHPSDR
License:	GPLv2+
URL:		https://github.com/g0orx/wdsp
Source0:	%{url}/archive/%{git_commit}/%{name}-%{git_suffix}.tar.gz
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	fftw-devel
BuildRequires:	gtk3-devel
# https://github.com/g0orx/wdsp/pull/15
Patch0:		wdsp-0-distro-makefile.patch
# Encouraged upstream to add SONAME
Patch1:		wdsp-0-soname-add.patch

%description
DSP library for LinHPSDR.

%package devel
Summary:	Development files for wdsp
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for wdsp.

%prep
%autosetup -n %{name}-%{git_commit} -p1

# unbundle fftw
rm -f fftw/*
rmdir fftw

%build
%make_build CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}" GTK_INCLUDE=GTK

%install
%make_install LIBDIR="%{buildroot}%{_libdir}" INCLUDEDIR="%{buildroot}%{_includedir}"

%files
%doc README.md
%license COPYING
%{_includedir}/wdsp.h
%{_libdir}/libwdsp.so.0*

%files devel
%{_includedir}/wdsp.h
%{_libdir}/libwdsp.so

%changelog
* Mon Jul  5 2021 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20210705gitc55342c5
- Initial release
